# Generated from ella-0.1.3.gem by gem2rpm -*- rpm-spec -*-
%global gem_name ella

Name: rubygem-%{gem_name}
Version: 0.1.3
Release: 1%{?dist}
Summary: A convenience-focused mesoframework for web development
License: MIT
URL: https://bitbucket.org/SurdEgg/ella/src/master/
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.7.0
BuildArch: noarch

%description
Ella is a web framework which seeks which seeks to find a balance between the
simplicity of a microframework and the conveniences of a large, opinionated
framework. Ella uses Sinatra for its controllers and routing.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/exe -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/ella
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/CODE_OF_CONDUCT.md
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/ella-0.1.0.gem
%{gem_instdir}/exe
%{gem_libdir}
%{gem_instdir}/templates
%{gem_instdir}/version.txt
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%doc %{gem_instdir}/CHANGELOG.md
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/ella.gemspec

%changelog
* Mon Sep 13 2021 mockbuilder - 0.1.3-1
- Initial package
